---
displayed_sidebar: homepage
---

import ParameterTypes from "@site/src/components/ParameterTypes"

# NumericalComparisonOperator

Fields used to apply flexible filters on numbers.

## constructor

___

## Properties

<ParameterTypes parameters={[
  {
    "name": "gt",
    "type": "`number`",
    "description": "The filtered number must be greater than this value.",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "gte",
    "type": "`number`",
    "description": "The filtered number must be greater than or equal to this value.",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "lt",
    "type": "`number`",
    "description": "The filtered number must be less than this value.",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "lte",
    "type": "`number`",
    "description": "The filtered number must be less than or equal to this value.",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} expandUrl="https://docs.medusajs.com/development/entities/repositories#retrieving-a-list-of-records"/>
